package com.liquidnet.service.account.funding.entity;

import java.util.ArrayList;
import java.time.LocalDateTime;
import java.util.List;

public class FinAccountExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public FinAccountExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andAccNoIsNull() {
            addCriterion("FA0 is null");
            return (Criteria) this;
        }

        public Criteria andAccNoIsNotNull() {
            addCriterion("FA0 is not null");
            return (Criteria) this;
        }

        public Criteria andAccNoEqualTo(String value) {
            addCriterion("FA0 =", value, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoNotEqualTo(String value) {
            addCriterion("FA0 <>", value, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoGreaterThan(String value) {
            addCriterion("FA0 >", value, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoGreaterThanOrEqualTo(String value) {
            addCriterion("FA0 >=", value, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoLessThan(String value) {
            addCriterion("FA0 <", value, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoLessThanOrEqualTo(String value) {
            addCriterion("FA0 <=", value, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoLike(String value) {
            addCriterion("FA0 like", value, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoNotLike(String value) {
            addCriterion("FA0 not like", value, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoIn(List<String> values) {
            addCriterion("FA0 in", values, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoNotIn(List<String> values) {
            addCriterion("FA0 not in", values, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoBetween(String value1, String value2) {
            addCriterion("FA0 between", value1, value2, "accNo");
            return (Criteria) this;
        }

        public Criteria andAccNoNotBetween(String value1, String value2) {
            addCriterion("FA0 not between", value1, value2, "accNo");
            return (Criteria) this;
        }

        public Criteria andFinIdIsNull() {
            addCriterion("FA1 is null");
            return (Criteria) this;
        }

        public Criteria andFinIdIsNotNull() {
            addCriterion("FA1 is not null");
            return (Criteria) this;
        }

        public Criteria andFinIdEqualTo(String value) {
            addCriterion("FA1 =", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotEqualTo(String value) {
            addCriterion("FA1 <>", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdGreaterThan(String value) {
            addCriterion("FA1 >", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdGreaterThanOrEqualTo(String value) {
            addCriterion("FA1 >=", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLessThan(String value) {
            addCriterion("FA1 <", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLessThanOrEqualTo(String value) {
            addCriterion("FA1 <=", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLike(String value) {
            addCriterion("FA1 like", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotLike(String value) {
            addCriterion("FA1 not like", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdIn(List<String> values) {
            addCriterion("FA1 in", values, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotIn(List<String> values) {
            addCriterion("FA1 not in", values, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdBetween(String value1, String value2) {
            addCriterion("FA1 between", value1, value2, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotBetween(String value1, String value2) {
            addCriterion("FA1 not between", value1, value2, "finId");
            return (Criteria) this;
        }

        public Criteria andAccTypeIsNull() {
            addCriterion("FA2 is null");
            return (Criteria) this;
        }

        public Criteria andAccTypeIsNotNull() {
            addCriterion("FA2 is not null");
            return (Criteria) this;
        }

        public Criteria andAccTypeEqualTo(String value) {
            addCriterion("FA2 =", value, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeNotEqualTo(String value) {
            addCriterion("FA2 <>", value, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeGreaterThan(String value) {
            addCriterion("FA2 >", value, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeGreaterThanOrEqualTo(String value) {
            addCriterion("FA2 >=", value, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeLessThan(String value) {
            addCriterion("FA2 <", value, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeLessThanOrEqualTo(String value) {
            addCriterion("FA2 <=", value, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeLike(String value) {
            addCriterion("FA2 like", value, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeNotLike(String value) {
            addCriterion("FA2 not like", value, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeIn(List<String> values) {
            addCriterion("FA2 in", values, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeNotIn(List<String> values) {
            addCriterion("FA2 not in", values, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeBetween(String value1, String value2) {
            addCriterion("FA2 between", value1, value2, "accType");
            return (Criteria) this;
        }

        public Criteria andAccTypeNotBetween(String value1, String value2) {
            addCriterion("FA2 not between", value1, value2, "accType");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyIsNull() {
            addCriterion("FA3 is null");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyIsNotNull() {
            addCriterion("FA3 is not null");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyEqualTo(String value) {
            addCriterion("FA3 =", value, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyNotEqualTo(String value) {
            addCriterion("FA3 <>", value, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyGreaterThan(String value) {
            addCriterion("FA3 >", value, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyGreaterThanOrEqualTo(String value) {
            addCriterion("FA3 >=", value, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyLessThan(String value) {
            addCriterion("FA3 <", value, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyLessThanOrEqualTo(String value) {
            addCriterion("FA3 <=", value, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyLike(String value) {
            addCriterion("FA3 like", value, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyNotLike(String value) {
            addCriterion("FA3 not like", value, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyIn(List<String> values) {
            addCriterion("FA3 in", values, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyNotIn(List<String> values) {
            addCriterion("FA3 not in", values, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyBetween(String value1, String value2) {
            addCriterion("FA3 between", value1, value2, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccCurrencyNotBetween(String value1, String value2) {
            addCriterion("FA3 not between", value1, value2, "accCurrency");
            return (Criteria) this;
        }

        public Criteria andAccStatusIsNull() {
            addCriterion("FA4 is null");
            return (Criteria) this;
        }

        public Criteria andAccStatusIsNotNull() {
            addCriterion("FA4 is not null");
            return (Criteria) this;
        }

        public Criteria andAccStatusEqualTo(Integer value) {
            addCriterion("FA4 =", value, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusNotEqualTo(Integer value) {
            addCriterion("FA4 <>", value, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusGreaterThan(Integer value) {
            addCriterion("FA4 >", value, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("FA4 >=", value, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusLessThan(Integer value) {
            addCriterion("FA4 <", value, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusLessThanOrEqualTo(Integer value) {
            addCriterion("FA4 <=", value, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusIn(List<Integer> values) {
            addCriterion("FA4 in", values, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusNotIn(List<Integer> values) {
            addCriterion("FA4 not in", values, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusBetween(Integer value1, Integer value2) {
            addCriterion("FA4 between", value1, value2, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("FA4 not between", value1, value2, "accStatus");
            return (Criteria) this;
        }

        public Criteria andAccAliasIsNull() {
            addCriterion("FA5 is null");
            return (Criteria) this;
        }

        public Criteria andAccAliasIsNotNull() {
            addCriterion("FA5 is not null");
            return (Criteria) this;
        }

        public Criteria andAccAliasEqualTo(String value) {
            addCriterion("FA5 =", value, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasNotEqualTo(String value) {
            addCriterion("FA5 <>", value, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasGreaterThan(String value) {
            addCriterion("FA5 >", value, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasGreaterThanOrEqualTo(String value) {
            addCriterion("FA5 >=", value, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasLessThan(String value) {
            addCriterion("FA5 <", value, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasLessThanOrEqualTo(String value) {
            addCriterion("FA5 <=", value, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasLike(String value) {
            addCriterion("FA5 like", value, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasNotLike(String value) {
            addCriterion("FA5 not like", value, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasIn(List<String> values) {
            addCriterion("FA5 in", values, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasNotIn(List<String> values) {
            addCriterion("FA5 not in", values, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasBetween(String value1, String value2) {
            addCriterion("FA5 between", value1, value2, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccAliasNotBetween(String value1, String value2) {
            addCriterion("FA5 not between", value1, value2, "accAlias");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdIsNull() {
            addCriterion("FA6 is null");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdIsNotNull() {
            addCriterion("FA6 is not null");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdEqualTo(String value) {
            addCriterion("FA6 =", value, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdNotEqualTo(String value) {
            addCriterion("FA6 <>", value, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdGreaterThan(String value) {
            addCriterion("FA6 >", value, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdGreaterThanOrEqualTo(String value) {
            addCriterion("FA6 >=", value, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdLessThan(String value) {
            addCriterion("FA6 <", value, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdLessThanOrEqualTo(String value) {
            addCriterion("FA6 <=", value, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdLike(String value) {
            addCriterion("FA6 like", value, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdNotLike(String value) {
            addCriterion("FA6 not like", value, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdIn(List<String> values) {
            addCriterion("FA6 in", values, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdNotIn(List<String> values) {
            addCriterion("FA6 not in", values, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdBetween(String value1, String value2) {
            addCriterion("FA6 between", value1, value2, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccGroupIdNotBetween(String value1, String value2) {
            addCriterion("FA6 not between", value1, value2, "accGroupId");
            return (Criteria) this;
        }

        public Criteria andAccParentIsNull() {
            addCriterion("FA7 is null");
            return (Criteria) this;
        }

        public Criteria andAccParentIsNotNull() {
            addCriterion("FA7 is not null");
            return (Criteria) this;
        }

        public Criteria andAccParentEqualTo(String value) {
            addCriterion("FA7 =", value, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentNotEqualTo(String value) {
            addCriterion("FA7 <>", value, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentGreaterThan(String value) {
            addCriterion("FA7 >", value, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentGreaterThanOrEqualTo(String value) {
            addCriterion("FA7 >=", value, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentLessThan(String value) {
            addCriterion("FA7 <", value, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentLessThanOrEqualTo(String value) {
            addCriterion("FA7 <=", value, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentLike(String value) {
            addCriterion("FA7 like", value, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentNotLike(String value) {
            addCriterion("FA7 not like", value, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentIn(List<String> values) {
            addCriterion("FA7 in", values, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentNotIn(List<String> values) {
            addCriterion("FA7 not in", values, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentBetween(String value1, String value2) {
            addCriterion("FA7 between", value1, value2, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccParentNotBetween(String value1, String value2) {
            addCriterion("FA7 not between", value1, value2, "accParent");
            return (Criteria) this;
        }

        public Criteria andAccLevelIsNull() {
            addCriterion("FA8 is null");
            return (Criteria) this;
        }

        public Criteria andAccLevelIsNotNull() {
            addCriterion("FA8 is not null");
            return (Criteria) this;
        }

        public Criteria andAccLevelEqualTo(Integer value) {
            addCriterion("FA8 =", value, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelNotEqualTo(Integer value) {
            addCriterion("FA8 <>", value, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelGreaterThan(Integer value) {
            addCriterion("FA8 >", value, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelGreaterThanOrEqualTo(Integer value) {
            addCriterion("FA8 >=", value, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelLessThan(Integer value) {
            addCriterion("FA8 <", value, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelLessThanOrEqualTo(Integer value) {
            addCriterion("FA8 <=", value, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelIn(List<Integer> values) {
            addCriterion("FA8 in", values, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelNotIn(List<Integer> values) {
            addCriterion("FA8 not in", values, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelBetween(Integer value1, Integer value2) {
            addCriterion("FA8 between", value1, value2, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccLevelNotBetween(Integer value1, Integer value2) {
            addCriterion("FA8 not between", value1, value2, "accLevel");
            return (Criteria) this;
        }

        public Criteria andAccStateIsNull() {
            addCriterion("FA9 is null");
            return (Criteria) this;
        }

        public Criteria andAccStateIsNotNull() {
            addCriterion("FA9 is not null");
            return (Criteria) this;
        }

        public Criteria andAccStateEqualTo(Integer value) {
            addCriterion("FA9 =", value, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateNotEqualTo(Integer value) {
            addCriterion("FA9 <>", value, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateGreaterThan(Integer value) {
            addCriterion("FA9 >", value, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("FA9 >=", value, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateLessThan(Integer value) {
            addCriterion("FA9 <", value, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateLessThanOrEqualTo(Integer value) {
            addCriterion("FA9 <=", value, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateIn(List<Integer> values) {
            addCriterion("FA9 in", values, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateNotIn(List<Integer> values) {
            addCriterion("FA9 not in", values, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateBetween(Integer value1, Integer value2) {
            addCriterion("FA9 between", value1, value2, "accState");
            return (Criteria) this;
        }

        public Criteria andAccStateNotBetween(Integer value1, Integer value2) {
            addCriterion("FA9 not between", value1, value2, "accState");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("FA10 is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("FA10 is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(LocalDateTime value) {
            addCriterion("FA10 =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FA10 <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(LocalDateTime value) {
            addCriterion("FA10 >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FA10 >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(LocalDateTime value) {
            addCriterion("FA10 <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FA10 <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<LocalDateTime> values) {
            addCriterion("FA10 in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FA10 not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FA10 between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FA10 not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("FA11 is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("FA11 is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(LocalDateTime value) {
            addCriterion("FA11 =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FA11 <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(LocalDateTime value) {
            addCriterion("FA11 >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FA11 >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(LocalDateTime value) {
            addCriterion("FA11 <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FA11 <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<LocalDateTime> values) {
            addCriterion("FA11 in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FA11 not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FA11 between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FA11 not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeIsNull() {
            addCriterion("FA12 is null");
            return (Criteria) this;
        }

        public Criteria andClosingTimeIsNotNull() {
            addCriterion("FA12 is not null");
            return (Criteria) this;
        }

        public Criteria andClosingTimeEqualTo(LocalDateTime value) {
            addCriterion("FA12 =", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FA12 <>", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeGreaterThan(LocalDateTime value) {
            addCriterion("FA12 >", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FA12 >=", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeLessThan(LocalDateTime value) {
            addCriterion("FA12 <", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FA12 <=", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeIn(List<LocalDateTime> values) {
            addCriterion("FA12 in", values, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FA12 not in", values, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FA12 between", value1, value2, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FA12 not between", value1, value2, "closingTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNull() {
            addCriterion("FA13 is null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNotNull() {
            addCriterion("FA13 is not null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeEqualTo(LocalDateTime value) {
            addCriterion("FA13 =", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FA13 <>", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThan(LocalDateTime value) {
            addCriterion("FA13 >", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FA13 >=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThan(LocalDateTime value) {
            addCriterion("FA13 <", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FA13 <=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIn(List<LocalDateTime> values) {
            addCriterion("FA13 in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FA13 not in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FA13 between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FA13 not between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckStatusIsNull() {
            addCriterion("FA14 is null");
            return (Criteria) this;
        }

        public Criteria andCheckStatusIsNotNull() {
            addCriterion("FA14 is not null");
            return (Criteria) this;
        }

        public Criteria andCheckStatusEqualTo(Integer value) {
            addCriterion("FA14 =", value, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusNotEqualTo(Integer value) {
            addCriterion("FA14 <>", value, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusGreaterThan(Integer value) {
            addCriterion("FA14 >", value, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("FA14 >=", value, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusLessThan(Integer value) {
            addCriterion("FA14 <", value, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusLessThanOrEqualTo(Integer value) {
            addCriterion("FA14 <=", value, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusIn(List<Integer> values) {
            addCriterion("FA14 in", values, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusNotIn(List<Integer> values) {
            addCriterion("FA14 not in", values, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusBetween(Integer value1, Integer value2) {
            addCriterion("FA14 between", value1, value2, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("FA14 not between", value1, value2, "checkStatus");
            return (Criteria) this;
        }

        public Criteria andCheckIdIsNull() {
            addCriterion("FA15 is null");
            return (Criteria) this;
        }

        public Criteria andCheckIdIsNotNull() {
            addCriterion("FA15 is not null");
            return (Criteria) this;
        }

        public Criteria andCheckIdEqualTo(String value) {
            addCriterion("FA15 =", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotEqualTo(String value) {
            addCriterion("FA15 <>", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdGreaterThan(String value) {
            addCriterion("FA15 >", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdGreaterThanOrEqualTo(String value) {
            addCriterion("FA15 >=", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLessThan(String value) {
            addCriterion("FA15 <", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLessThanOrEqualTo(String value) {
            addCriterion("FA15 <=", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLike(String value) {
            addCriterion("FA15 like", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotLike(String value) {
            addCriterion("FA15 not like", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdIn(List<String> values) {
            addCriterion("FA15 in", values, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotIn(List<String> values) {
            addCriterion("FA15 not in", values, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdBetween(String value1, String value2) {
            addCriterion("FA15 between", value1, value2, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotBetween(String value1, String value2) {
            addCriterion("FA15 not between", value1, value2, "checkId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
